Applies a temporary plan override that supersedes the assigned plan for a bounded period.
POST
/api/v1/provision/admin/entitlements/{entitlementId}/temporary-override
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/temporary-override';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"planSetId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","planName":"example","validFromUtc":"2026-04-15T12:00:00Z","validUntilUtc":"2026-04-15T12:00:00Z","reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/temporary-override \ --header 'Content-Type: application/json' \ --data '{ "planSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "planName": "example", "validFromUtc": "2026-04-15T12:00:00Z", "validUntilUtc": "2026-04-15T12:00:00Z", "reason": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” entitlementId
required
string format: uuid
Entitlement id.
Request Body required
Section titled “Request Body required ”Cancellation token.
Request to apply a temporary usage plan override to an entitlement.
object
planSetId
string format: uuid
planName
string
validFromUtc
null | string format: date-time
validUntilUtc
null | string format: date-time
reason
null | string
Example generated
{ "planSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "planName": "example", "validFromUtc": "2026-04-15T12:00:00Z", "validUntilUtc": "2026-04-15T12:00:00Z", "reason": "example"}Request to apply a temporary usage plan override to an entitlement.
object
planSetId
string format: uuid
planName
string
validFromUtc
null | string format: date-time
validUntilUtc
null | string format: date-time
reason
null | string
Example generated
{ "planSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "planName": "example", "validFromUtc": "2026-04-15T12:00:00Z", "validUntilUtc": "2026-04-15T12:00:00Z", "reason": "example"}Request to apply a temporary usage plan override to an entitlement.
object
planSetId
string format: uuid
planName
string
validFromUtc
null | string format: date-time
validUntilUtc
null | string format: date-time
reason
null | string
Example generated
{ "planSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "planName": "example", "validFromUtc": "2026-04-15T12:00:00Z", "validUntilUtc": "2026-04-15T12:00:00Z", "reason": "example"}Responses
Section titled “ Responses ”OK
Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}